# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define _jarsign_opts --nocopy --skip=%{basedir} --skip=%{bindir} --skip=%{_javadir} 

%define section free

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without zips
%bcond_with ws

%bcond_with repolib

%define with_signing 0
%define patchnumber 01
%define patchlevel -patch-%{patchnumber}
%define release_patchlevel _patch_%{patchnumber}

%define repodir %{_javadir}/repository.jboss.com/apache-tomcat/%{version}%{patchlevel}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define jspspec 2.2
%define major_version 7
%define minor_version 0
%define micro_version 59
%define packdname apache-tomcat-%{version}-src
%define servletspec 3.0
%define elspec 2.2
%define elspecalt 2_2
%define tcuid 91
%define ecjrev 4.4.2

# FHS 2.3 compliant tree structure - http://www.pathname.com/fhs/2.3/
%define basedir %{_var}/lib/%{name}
%define appdir %{basedir}/webapps
%define homedir %{_datadir}/%{name}
%define bindir %{homedir}/bin
%define confdir %{_sysconfdir}/%{name}
%define libdir %{_javadir}/%{name}
%define logdir %{_var}/log/%{name}
%define cachedir %{_var}/cache/%{name}
%define tempdir %{cachedir}/temp
%define workdir %{cachedir}/work
%define _initrddir %{_sysconfdir}/rc.d/init.d
%define javasigneddir %{_datadir}/java-signed

# JWS-156
# systemd doesn't exist in versions before rhel7
#%if 0%{?rhel} >= 7
#%define _systemddir /lib/systemd/system
#%endif

Name: tomcat7
Epoch: 0
Version: %{major_version}.%{minor_version}.%{micro_version}
Release: 42%{release_patchlevel}%{?dist}
Summary: Apache Servlet/JSP Engine, RI for Servlet %{servletspec}/JSP %{jspspec} API
Group: Networking/Daemons
License: ASL 2.0
URL: http://tomcat.apache.org/
Source0: http://www.apache.org/dist/tomcat/tomcat-7/v%{version}/src/%{packdname}.tar.gz
Source1: %{name}-%{major_version}.%{minor_version}.conf
Source2: %{name}-%{major_version}.%{minor_version}.init
Source3: %{name}-%{major_version}.%{minor_version}.sysconfig
Source4: %{name}-%{major_version}.%{minor_version}.wrapper
Source5: %{name}-%{major_version}.%{minor_version}.logrotate
Source6: %{name}-%{major_version}.%{minor_version}-digest.script
Source7: %{name}-%{major_version}.%{minor_version}-tool-wrapper.script
#Source8: tomcat6-6.0.24-jsvc.tar.gz
Source9: %{name}-%{major_version}.%{minor_version}-log4j.properties
Source10: %{name}-component-info.xml
# for SELinux
Source11: %{name}-selinux.te
Source12: %{name}-selinux.if
Source13: %{name}-selinux.fc
# The version of commons-logging  must match the default
# version in build.properties.default
Source14: commons-logging-1.1.3-src.tar.gz
Source15: README.CVE-2007-1355.tomcat7
#Source11: %{name}-7.0.policy
#Source12: %{name}-7.0.JBossPublicKey.RSA
#Source99: sign-unsigned-jars

# JWS-156
# systemd doesn't exist in versions before rhel7
#%if 0%{?rhel} >= 7
#Source16:      %{name}-%{major_version}.%{minor_version}.service
#Source17:      tomcat7-functions
#Source18:      tomcat7-preamble
#Source19:      tomcat7-server
#Source20:      tomcat7-named.service
#%endif

Patch0: %{name}-%{major_version}.%{minor_version}.25-tomcat-users-webapp.patch
Patch1: %{name}-%{major_version}.%{minor_version}.55-build.patch
# Remove clustering from Tomcat6 in EWS
Patch2: %{name}-7.0.57-noclustering.patch
# Do not build windows zip
Patch3: tomcat7-7.0.59-nowinzips.patch
Patch4: tomcat7-7.0.52-jbpapp-6122-jon.patch
Patch5: tomcat7-7.0.25-jbapp-3749.patch
Patch6: tomcat7-7.0.59-build_extras.patch
Patch7: tomcat7-7.0.40-rhbz-901081.patch
Patch8: tomcat7-7.0.59-JWS-84.patch
Patch9: tomcat7-7.0.59-JWS-146.patch
Patch10: tomcat7-7.0.59-JWS-147.patch
Patch11: tomcat7-7.0.59-JWS-145.patch
Patch12: tomcat7-7.0.59-JWS-174.patch
Patch13: tomcat7-7.0.59-JWS-179.patch
Patch14: tomcat7-7.0.59-JWS-89.patch
Patch15: tomcat7-7.0.59-JWS-173.patch
Patch16: tomcat7-7.0.59-JWS-175.patch
Patch17: tomcat7-7.0.59-JWS-178.patch
Patch18: tomcat7-7.0.59-JWS-176.patch
Patch19: tomcat7-7.0.59-JWS-177.patch
Patch20: tomcat7-7.0.59-JWS-150.patch
Patch21: tomcat7-7.0.59-JWS-149.patch
Patch22: tomcat7-7.0.59-JWS-180.patch
Patch23: tomcat7-7.0.59-JWS-128.patch
Patch24: tomcat7-7.0.59-JWS-240.patch
Patch25: tomcat7-7.0.59-JWS-263.patch
Patch26: tomcat7-7.0.59-JWS-271.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: zip

%if 0%{?rhel} == 6
BuildRequires: ecj-eap6 >= 0:%{ecjrev}
BuildRequires: java7-devel >= 0:1.7.0
%else
BuildRequires: eap6-ecj >= 0:%{ecjrev}
BuildRequires: java-devel >= 0:1.7.0
%endif

BuildRequires: ant >= 0:1.7.1
BuildRequires: findutils
BuildRequires: apache-commons-collections-tomcat-eap6 >= 0:3.2.1-18
BuildRequires: apache-commons-daemon-eap6
#BuildRequires: apache-commons-logging-eap6
BuildRequires: apache-commons-dbcp-tomcat-eap6
BuildRequires: apache-commons-pool-tomcat-eap6

%if %with ws
BuildRequires: axis >= 0:1.1
BuildRequires: wsdl4j >= 0:1.6.1
%endif

BuildRequires: jpackage-utils >= 0:1.7.0
BuildRequires: log4j-eap6 >= 0:1.2.14
BuildRequires: avalon-framework
BuildRequires: avalon-logkit

#for uploading to r.j.o/maven2-brew
%if %with repolib
%if 0%{?rhel} == 6
BuildRequires:  maven-source-plugin
BuildRequires:  maven-deploy-plugin
%endif
%endif

BuildRequires: jboss-parent
%if %with repolib
%if 0%{?rhel} == 6
BuildRequires: apache-commons-parent
BuildRequires: apache-parent >= 0:7
%endif
%endif

# For SELinux
%if "%{?rhel}" == "6"
BuildRequires: selinux-policy
%else
BuildRequires: selinux-policy-devel
%endif

# JWS-156
# systemd doesn't exist in versions before rhel7
#%if 0%{?rhel} >= 7
#BuildRequires: systemd-units
#%endif

Requires(pre): shadow-utils
Requires(pre): shadow-utils
Requires: apache-commons-daemon-eap6
#Requires: apache-commons-logging-eap6
# tomcat7 will run under 1.6 but websockets
# will not be available
Requires: java >= 0:1.6.0
Requires: jpackage-utils
Requires: procps
Requires: %{name}-lib = %{epoch}:%{version}-%{release}
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(post): redhat-lsb
Requires(preun): redhat-lsb
Requires(post,postun): jpackage-utils

# JWS-156
# systemd doesn't exist in versions before rhel7
#%if 0%{?rhel} >= 7
#Requires(post):   systemd-units
#Requires(preun):  systemd-units
#Requires(postun): systemd-units
#%endif

%description
Tomcat is the servlet container that is used in the official Reference
Implementation for the Java Servlet and JavaServer Pages technologies.
The Java Servlet and JavaServer Pages specifications are developed by
Sun under the Java Community Process.

Tomcat is developed in an open and participatory environment and
released under the Apache Software License version 2.0. Tomcat is intended
to be a collaboration of the best-of-breed developers from around the world.

%package admin-webapps
Group: System Environment/Applications
Summary: The host-manager and manager web applications for Apache Tomcat
Requires: %{name} = %{epoch}:%{version}-%{release}

%description admin-webapps
The host-manager and manager web applications for Apache Tomcat.

%if %with ws
%package ws
Group: Internet/WWW/Dynamic Content
Summary: Web Services (JSR 109) support for Apache Tomcat
Requires: axis >= 0:1.1
Requires: wsdl4j >= 0:1.6.1

%description ws
Tomcat provides factories for JSR 109 which may be used to resolve web services
references.
%endif

%package docs-webapp
Group: System Environment/Applications
Summary: The docs web application for Apache Tomcat
Requires: %{name} = %{epoch}:%{version}-%{release}

%description docs-webapp
The docs web application for Apache Tomcat.

%package el-%{elspec}-api
Summary: Expression Language v%{elspec} API
Group: Development/Libraries/Java
Provides: el_%{elspecalt}_api = %{epoch}:%{version}-%{release}
Provides: el_api = 0:%{elspec}
Obsoletes: el_1_0_api < %{epoch}:%{version}-%{release}
Obsoletes: el_api < %{epoch}:%{elspec}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires: jpackage-utils
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives

%description el-%{elspec}-api
Expression Language %{elspec} 

%package javadoc
Group: Documentation
Summary: Javadoc generated documentation for Apache Tomcat
Requires(pre): coreutils

%description javadoc
Javadoc generated documentation for Apache Tomcat.

%package jsp-%{jspspec}-api
Group: Internet/WWW/Dynamic Content
Summary: Apache Tomcat JSP API implementation classes
Provides: jsp = %{jspspec}
Provides: jsp22
Obsoletes: jsp21
Requires: %{name}-servlet-%{servletspec}-api = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires: jpackage-utils
Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives

%description jsp-%{jspspec}-api
Apache Tomcat JSP API implementation classes.

%package log4j
Group: Internet/WWW/Dynamic Content
Summary: Log4J support for Apache Tomcat
# The jar is copied over instead of linking because it is in base
Requires: log4j-eap6 >= 0:1.2.16
#Requires: apache-commons-logging-eap6

%description log4j
Log4J support for Apache Tomcat.

%package lib
Summary: Libraries needed to run the Tomcat Web container
Group: Development/Compilers
Provides: %{name}-annotations-api = %{epoch}:%{version}-%{release}
Provides: %{name}-api = %{epoch}:%{version}-%{release}
Provides: %{name}-catalina-ant = %{epoch}:%{version}-%{release}
Provides: %{name}-catalina = %{epoch}:%{version}-%{release}
Provides: %{name}-coyote = %{epoch}:%{version}-%{release}
Provides: %{name}-i18n-es = %{epoch}:%{version}-%{release}
Provides: %{name}-i18n-fr = %{epoch}:%{version}-%{release}
Provides: %{name}-i18n-ja = %{epoch}:%{version}-%{release}
Provides: %{name}-jasper-el = %{epoch}:%{version}-%{release}
Provides: %{name}-jasper = %{epoch}:%{version}-%{release}
Provides: %{name}-jdbc = %{epoch}:%{version}-%{release}
Provides: %{name}-juli = %{epoch}:%{version}-%{release}
Provides: %{name}-util = %{epoch}:%{version}-%{release}
Provides: %{name}-websockets = %{epoch}:%{version}-%{release}

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires: jpackage-utils
Requires: %{name}-jsp-%{jspspec}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-servlet-%{servletspec}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-el-%{elspec}-api = %{epoch}:%{version}-%{release}

%if 0%{?rhel} == 6
Requires: ecj-eap6 >= 0:%{ecjrev}
%else 
Requires: eap6-ecj >= 0:%{ecjrev}
%endif

Requires: apache-commons-collections-tomcat-eap6 >= 0:3.2.1-18
Requires: apache-commons-dbcp-tomcat-eap6
Requires: apache-commons-pool-tomcat-eap6
Requires(preun): coreutils

%description lib
Libraries needed to run the Tomcat Web container.

%package servlet-%{servletspec}-api
Group: Internet/WWW/Dynamic Content
Summary: Apache Tomcat Servlet API implementation classes
Provides: servlet = %{servletspec}
Provides: servlet6
#Provides: servlet25
Provides: servlet31
Obsoletes: servlet25
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires: jpackage-utils
Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives

%description servlet-%{servletspec}-api
Apache Tomcat Servlet API implementation classes.

%package webapps
Group: System Environment/Applications
Summary: The ROOT and examples web applications for Apache Tomcat
Requires: %{name} = %{epoch}:%{version}-%{release}

%description webapps
The ROOT and examples web applications for Apache Tomcat.

%if %with zips
%package zip
Summary:     Container for the zipped distribution of tomcat7
Group:       Development

%description zip
Container for the zipped distribution of tomcat7

%package src-zip
Summary:     Container for the sources
Group:       Development

%description src-zip
Container for the sources
%endif

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package maven-devel
Summary:     Container for Maven components and artifacts
Group:       Development
Requires: %{name}-jsp-%{jspspec}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-servlet-%{servletspec}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-el-%{elspec}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-annotations-api = %{epoch}:%{version}-%{release}
Requires: %{name}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-catalina-ant = %{epoch}:%{version}-%{release}
Requires: %{name}-catalina = %{epoch}:%{version}-%{release}
Requires: %{name}-coyote = %{epoch}:%{version}-%{release}
Requires: %{name}-i18n-es = %{epoch}:%{version}-%{release}
Requires: %{name}-i18n-fr = %{epoch}:%{version}-%{release}
Requires: %{name}-i18n-ja = %{epoch}:%{version}-%{release}
Requires: %{name}-jasper-el = %{epoch}:%{version}-%{release}
Requires: %{name}-jasper = %{epoch}:%{version}-%{release}     
Requires: %{name}-jdbc = %{epoch}:%{version}-%{release}       
Requires: %{name}-juli = %{epoch}:%{version}-%{release}       
Requires: %{name}-util = %{epoch}:%{version}-%{release}       
Requires: %{name}-websockets = %{epoch}:%{version}-%{release} 
Requires(post): jpackage-utils                                
Requires(postun): jpackage-utils
Requires: jpackage-utils                                      
Requires(preun): coreutils      

%description maven-devel                                      
Container for tomcat maven components and artifacts    

%prep
echo Prep Phase
%setup -q -c -T -a 0
%{_bindir}/find . -type f -name "*.[jw]ar" -o -type f -name "*.bat" -o -type f -name "*.pdf" | %{_bindir}/xargs -t %{__rm}
pushd %{packdname}

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0
%patch18 -p0
%patch19 -p0
%patch20 -p0
%patch21 -p0
%patch22 -p0
%patch23 -p0
%patch24 -p0
%patch25 -p0
%patch26 -p0

%{__rm} -f ./res/maven/tomcat-embed-core.pom
%{__rm} -f ./res/maven/tomcat-embed-jasper.pom
%{__rm} -f ./res/maven/tomcat-embed-logging-juli.pom
%{__rm} -f ./res/maven/tomcat-embed-logging-log4j.pom
%{__rm} -f ./res/maven/tomcat-embed-el.pom
%{__rm} -f ./res/maven/tomcat7-embed-websocket.pom
%{__rm} -f ./res/maven/tomcat-catalina-ha.pom
%{__rm} -f ./res/maven/tomcat-tribes.pom
%{__rm} -f ./res/tomcat-catalina-jmx-remote.pom

%{__sed} -i -e 's/@MAVEN.DEPLOY.VERSION@/%{version}/g' ./res/maven/*.pom

%{__mkdir_p} output/extras
%{__cp} %{SOURCE14} .
%if %with ws
%{__mkdir_p} output/extras/webservices
%{__ln_s} $(build-classpath axis/jaxrpc) output/extras/webservices/jaxrpc.jar
%{__ln_s} $(build-classpath wsdl4j/wsdl4j16) output/extras/webservices/wsdl4j.jar
%endif
popd

%build
echo Build Phase
export JAVA_HOME=%{_jvmdir}/java-1.7.0
#export OPT_JAR_LIST="`%{__cat} %{_sysconfdir}/ant.d/trax`"

pushd %{packdname}
    touch HACK
	
#   ECJ
    %if 0%{?rhel} == 6
    %{__ln_s} $(build-classpath ecj-eap6/ecj) ecj-%{ecjrev}-eap6.jar
    %else
    %{__ln_s} $(build-classpath ecj-eap6/ecj) ecj-%{ecjrev}-eap6.jar
    %endif

    %{__cp} $(build-classpath commons-dbcp-eap6) commons-dbcp-eap6.jar
    # We don't care about the tarballs
    # Who needs a build.properties file anyway
    %{ant} -Dbase.path="." \
        -Dbuild.compiler="modern" \
        -Dcommons-daemon.jsvc.tar.gz="HACK" \
        -Djasper-jdt.jar="ecj-%{ecjrev}-eap6.jar" \
        -Djdt.jar="ecj-%{ecjrev}-eap6.jar" \
        -Dtomcat-dbcp.jar="commons-dbcp-eap6.jar" \
        -Dtomcat-native.tar.gz="" \
        -Dversion="%{version}" \
        -Dversion.patch="%{patchlevel}" \
        -Dversion.build="%{micro_version}-%{release}" \
        -Dcommons-collections.jar="$(build-classpath commons-collections-eap6/commons-collections)" \
        -Dcommons-daemon.jar="$(build-classpath commons-daemon-eap6/commons-daemon)" \
        -Dno.build.dbcp="true"  \
        -Djava.7.home=${JAVA_HOME} \
        -Dcompile.source="1.7" \
        -Dcompile.target="1.7" \
        -Dcompile.debug="false" \
            dist-prepare deploy javadoc \
            package-src-zip
            
    mkdir -p tmp/apache-tomcat-%{version}
    pushd tmp
	pushd apache-tomcat-%{version}
	  %{__cp} -r ../../output/build/* .
	popd
        zip -r -q ../output/release/v%{version}/bin/apache-tomcat-%{version}.zip \
	    apache-tomcat-%{version}/* -x bin/service.bat bin/i64 bin/*.exe bin/*.dll
    popd
    rm -rf tmp

    # extras generation
%if %with ws
    %{ant} -Dbase.path="." \
        -Dbuild.compiler="modern" \
        -Dcommons-daemon.jsvc.tar.gz="HACK" \
        -Djasper-jdt.jar="ecj-%{ecjrev}-eap6.jar" \
        -Djdt.jar="ecj-%{ecjrev}-eap6.jar" \
        -Dtomcat-dbcp.jar="commons-dbcp-eap6.jar" \
        -Dtomcat-native.tar.gz="" \
        -Dversion="%{version}" \
        -Dversion.patch="%{patchlevel}" \
        -Dversion.build="%{micro_version}-%{release}" \
        -Dcommons-collections.jar="$(build-classpath commons-collections-eap6/commons-collections)" \
        -Dcommons-daemon.jar="$(build-classpath commons-daemon-eap6/commons-daemon)" \
        -Djava.7.home=${JAVA_HOME} \ 
        -Dcompile.source="1.7" \
        -Dcompile.target="1.7" \
        -Dcompile.debug="false" \
		   extras
%else
    %{ant} -Dbase.path="." \
        -Dbuild.compiler="modern" \
        -Dcommons-daemon.jsvc.tar.gz="HACK" \
        -Djasper-jdt.jar="ecj-%{ecjrev}-eap6.jar" \
        -Djdt.jar="ecj-%{ecjrev}-eap6.jar" \
        -Dtomcat-dbcp.jar="commons-dbcp-eap6.jar" \
        -Dtomcat-native.tar.gz="" \
        -Dversion="%{version}" \
        -Dversion.patch="%{patchlevel}" \
        -Dversion.build="%{micro_version}-%{release}" \
        -Dcommons-collections.jar="$(build-classpath commons-collections-eap6/commons-collections)" \
        -Dcommons-daemon.jar="$(build-classpath commons-daemon-eap6/commons-daemon)" \
        -Dcommons-logging-src.tar.gz="%{SOURCE14}"  \
        -Dservletapi.jar="`pwd`/output/build/lib/servlet-api.jar" \
        -Davalon-framework.jar="$(build-classpath avalon-framework)" \
        -Dlog4j.jar="$(build-classpath log4j-eap6/log4j)" \
	-Dlog4j12.jar="$(build-classpath log4j-eap6/log4j)" \
        -Dlogkit.jar="$(build-classpath avalon-logkit)" \
        -Djava.7.home=${JAVA_HOME} \
        -Dcompile.source="1.7" \
        -Dcompile.target="1.7" \
        -Dcompile.debug="false" \
            extras-commons-logging
%endif

# We will supply jasper-jdt and commons-dbcp
# later in the build.
    %{__rm} output/build/lib/commons-dbcp-eap6.jar
    %{__rm} output/build/lib/ecj-%{ecjrev}-eap6.jar
    %{__rm} HACK
    %{__rm} -r output/build/webapps/examples/servlets/*
    %{__rm} -r output/build/webapps/examples/jsp/*
    %{__rm} -r output/build/webapps/examples/WEB-INF
    %{__rm} -r output/build/webapps/docs/appdev/sample/*
    #JBPAPP-3659
    #JBPAPP-9557

	# ZIPS
    # make modification in the zip
    %if %with zips
     echo Zips
    %{__mkdir_p} tmp
    pushd tmp
    # add jsvc.tar.gz to src.zip
    unzip -q ../output/release/v%{version}/src/apache-tomcat-%{version}-src.zip

# rename commons-daemon-eap6 to commons-daemon. it causes problems for downstream
# builds
    %{__cp} $(build-classpath commons-daemon-eap6/commons-daemon) apache-tomcat-%{version}-src/commons-daemon.jar
# COLLECTIONS
    %{__cp} $(build-classpath commons-collections-eap6/commons-collections) apache-tomcat-%{version}-src/commons-collections-eap6.jar
    %{__cp} $(build-classpath commons-pool-eap6/commons-pool-tomcat) apache-tomcat-%{version}-src/commons-pool-eap6.jar
    %{__cp} $(build-classpath commons-dbcp-eap6/commons-dbcp-tomcat) apache-tomcat-%{version}-src/commons-dbcp-eap6.jar
    #JFCLERE can't find those %{__cp} $(build-classpath commons-logging-eap6/commons-logging-api) apache-tomcat-%{version}-src/commons-logging-api-eap6.jar
    #JFCLERE can't find those %{__cp} $(build-classpath commons-logging-eap6/commons-logging-adapters) apache-tomcat-%{version}-src/commons-logging-adapters-eap6.jar

    rm ../output/release/v%{version}/src/apache-tomcat-%{version}-src.zip
#JBPAPP-3654 Last chance to get rid of any junk
    find apache-tomcat-%{version}-src -name "*.orig" | xargs -t %{__rm} -f
    zip -q -r ../output/release/v%{version}/src/apache-tomcat-%{version}-src.zip \
       apache-tomcat-%{version}-src
    rm -fr *

# maven-devel zip
#    mkdir -p apache-tomcat-%{version}/res/maven
#    %{__cp} ../res/maven/*.pom apache-tomcat-%{version}/res/maven/
#    zip -q -r ../output/release/v%{version}/bin/apache-tomcat-%{version}-maven-devel.zip apache-tomcat-%{version}/res/maven/*.pom
#    rm -fr *

    # binary Zip
    unzip -q ../output/release/v%{version}/bin/apache-tomcat-%{version}.zip
    #create zip for QE to run examples
    zip -q -r ../output/release/v%{version}/bin/apache-tomcat-%{version}-examples.zip \
         apache-tomcat-%{version}/webapps/examples/servlets/* apache-tomcat-%{version}/webapps/examples/jsp/* \
         apache-tomcat-%{version}/webapps/examples/WEB-INF apache-tomcat-%{version}/webapps/docs/appdev/sample/*

    # EWS does not ship with ribes
#%{__rm} -r apache-tomcat-%{version}/webapps/docs/tribes
    # Removed viz CVE-2007-1355
    %{__rm} -r apache-tomcat-%{version}/webapps/examples/servlets/*
    %{__rm} -r apache-tomcat-%{version}/webapps/examples/jsp/*
    %{__rm} -r apache-tomcat-%{version}/webapps/examples/WEB-INF
    %{__rm} -r apache-tomcat-%{version}/webapps/docs/appdev/sample/*
#    %{__rm} -r apache-tomcat-%{version}/lib/catalina-ha.jar

    cp -pr %{SOURCE15} apache-tomcat-%{version}/webapps/examples/servlets/index.html
    cp -pr %{SOURCE15}  apache-tomcat-%{version}/webapps/examples/jsp/index.html
    cp -pr %{SOURCE15}  apache-tomcat-%{version}/webapps/docs/appdev/sample/index.html
    chmod 755 apache-tomcat-%{version}/bin/*sh
    sed -i -e 's/\"$_RUNJAVA\"/$_RUNJAVA/g' apache-tomcat-%{version}/bin/catalina.sh \
       apache-tomcat-%{version}/bin/tool-wrapper.sh
    %{__mkdir_p} apache-tomcat-%{version}/extras

    # On RHEL-6 the signed JARs are on a different place
#    export JPP_SIGNED=2

	# Replace stock libs with ews libs. Make the rpms and zips symetrical
    echo Zips:Replace stock libs with ews libs
    (cd apache-tomcat-%{version}/extras; 
        %{__cp} `build-classpath log4j-eap6/log4j` log4j-eap6.jar;
        %{__cp} %{SOURCE9} log4j.properties ;)
    %{__cp} -pr ../output/extras/tomcat-juli*.jar apache-tomcat-%{version}/extras/

# COMMONS
    %{__cp} -p $(build-classpath commons-daemon-eap6/commons-daemon) apache-tomcat-%{version}/bin/commons-daemon.jar
# COLLECTIONS
    %{__cp} -p $(build-classpath commons-collections-eap6/commons-collections) apache-tomcat-%{version}/lib/commons-collections-eap6.jar
    %{__cp} -p $(build-classpath commons-dbcp-eap6/commons-dbcp-tomcat) apache-tomcat-%{version}/lib/commons-dbcp-eap6.jar
    %{__cp} -p $(build-classpath commons-pool-eap6/commons-pool-tomcat) apache-tomcat-%{version}/lib/commons-pool-eap6.jar
    #JFCLERE can't find those %{__cp} $(build-classpath commons-logging-eap6/commons-logging-api) apache-tomcat-%{version}/lib/commons-logging-api-eap6.jar
    #JFCLERE can't find those %{__cp} $(build-classpath commons-logging-eap6/commons-logging-adapters) apache-tomcat-%{version}/lib/commons-logging-adapters-eap6.jar

    %{__cp} $(build-classpath ecj-eap6/ecj) ecj-%{ecjrev}-eap6.jar
    %{__rm} ../output/release/v%{version}/bin/apache-tomcat-%{version}.zip

#JBPAPP-3654 Last chance to get rid of any junk
	 find apache-tomcat-%{version} -name "*.orig" | xargs -t %{__rm} -f
    zip -q -r ../output/release/v%{version}/bin/apache-tomcat-%{version}.zip apache-tomcat-%{version}/
    %{__rm} -fr apache-tomcat-%{version}/extras
    popd
    %{__rm} -fr tmp
	 echo End Zips
    %endif

%install
echo Install Phase
%{__rm} -rf $RPM_BUILD_ROOT
# build initial path structure
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_sbindir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_initrddir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{appdir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{bindir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{confdir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{confdir}/Catalina/localhost
# for SELinux
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{confdir}/selinux/packages/%{name}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{libdir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{libdir}/extras
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{logdir}
/bin/touch ${RPM_BUILD_ROOT}%{logdir}/catalina.out
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{homedir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{tempdir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{workdir}

# JWS-156
# systemd doesn't exist in versions before rhel7
#%if 0%{?rhel} >= 7
#%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_unitdir}
#%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_libexecdir}/%{name}
#%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_systemddir}
#%endif

# move things into place
echo Install:Copy things into place

%{__install} -p -m 0644 -D %{SOURCE11} ${RPM_BUILD_ROOT}%{confdir}/selinux/packages/%{name}/%{name}.te
%{__install} -p -m 0644 -D %{SOURCE12} ${RPM_BUILD_ROOT}%{confdir}/selinux/packages/%{name}/%{name}.if
%{__install} -p -m 0644 -D %{SOURCE13}  ${RPM_BUILD_ROOT}%{confdir}/selinux/packages/%{name}/%{name}.fc

# JWS-156
# systemd doesn't exist in versions before rhel7
#%if 0%{?rhel} >= 7
#%{__install} -m 0644 %{SOURCE16} ${RPM_BUILD_ROOT}%{_unitdir}/%{name}.service
#%{__install} -m 0644 %{SOURCE17} ${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/functions
#%{__install} -m 0755 %{SOURCE18} ${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/preamble
#%{__install} -m 0755 %{SOURCE19} ${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/server
#%{__install} -m 0644 %{SOURCE20} ${RPM_BUILD_ROOT}%{_unitdir}/%{name}@.service
#%endif

#popd
# clean up
# %{__rm} -rf tmp/selinux

pushd %{packdname}/output/build
    %{__cp} -a bin/*.{jar,xml} ${RPM_BUILD_ROOT}%{bindir}
    %{__cp} -a conf/*.{policy,properties,xml} ${RPM_BUILD_ROOT}%{confdir}
    %{__cp} -a lib/*.jar ${RPM_BUILD_ROOT}%{libdir}
    %{__cp} -a ../extras/*.jar ${RPM_BUILD_ROOT}%{libdir}/extras
    %{__cp} -a webapps/* ${RPM_BUILD_ROOT}%{appdir}

    cp -p %{SOURCE15} $RPM_BUILD_ROOT%{appdir}/examples/servlets/index.html
    cp -p %{SOURCE15} $RPM_BUILD_ROOT%{appdir}/examples/jsp/index.html
    cp -p %{SOURCE15} $RPM_BUILD_ROOT%{appdir}/docs/appdev/sample/index.html
%if 0%{?rhel} == 6
    # XXX: install maven central names for jars
    %{__ln_s} annotations-api.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-annotations-api.jar
    %{__ln_s} catalina.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-catalina.jar
    %{__ln_s} catalina-ant.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-catalina-ant.jar
    %{__ln_s} el-api.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-el-api.jar
    %{__ln_s} jsp-api.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-jsp-api.jar
    %{__ln_s} servlet-api.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-servlet-api.jar
    %{__ln_s} jasper.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-jasper.jar
    %{__ln_s} jasper-el.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-jasper-el.jar
    %{__ln_s} websocket-api.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-websocket-api.jar
    %{__ln_s} tomcat7-websocket.jar ${RPM_BUILD_ROOT}%{libdir}/tomcat-tomcat7-websocket.jar
%endif

popd
# On RHEL-6 the signed JARs are on a different place
#export JPP_SIGNED=2
%if %with ws
# ws
%{__cp} -p %{packdname}/output/extras/catalina-ws.jar ${RPM_BUILD_ROOT}%{libdir}/catalina-ws.jar
%{__ln_s} $(build-classpath axis/jaxrpc) ${RPM_BUILD_ROOT}%{libdir}/jaxrpc.jar
%{__ln_s} $(build-classpath wsdl4j/wsdl4j16) ${RPM_BUILD_ROOT}%{libdir}/wsdl4j.jar
%endif
# juli

# Already copied ... %{__ln_s} $(build-classpath commons-daemon-eap6/commons-daemon) ${RPM_BUILD_ROOT}%{bindir}/commons-daemon.jar

# Copy log4j.jar because it is in base Linux
# Already copied ... %{__ln_s} $(build-classpath log4j-eap6/log4j) ${RPM_BUILD_ROOT}%{libdir}/log4j-eap6.jar
%{__cp} -p %{SOURCE9} ${RPM_BUILD_ROOT}%{confdir}/log4j.properties
(cd ${RPM_BUILD_ROOT}%{libdir} && %{__ln_s} %{confdir}/log4j.properties log4j.properties)

# javadoc
pushd %{packdname}/output/dist/webapps
    %{__cp} -a docs/api/* ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
popd
#JBPAPP-3659
%{__rm} -rf ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}/org/apache/catalina/tribes
%{__sed} -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g" \
         -e "s|\@\@\@TCTEMP\@\@\@|%{tempdir}|g" \
         -e "s|\@\@\@LIBDIR\@\@\@|%{_libdir}|g" %{SOURCE1} \
    > ${RPM_BUILD_ROOT}%{confdir}/%{name}.conf
%{__sed} -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g" \
         -e "s|\@\@\@TCTEMP\@\@\@|%{tempdir}|g" \
         -e "s|\@\@\@LIBDIR\@\@\@|%{_libdir}|g" %{SOURCE3} \
    > ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}
%{__install} -m 0755 %{SOURCE2} \
    ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
%{__install} -m 0755 %{SOURCE4} \
    ${RPM_BUILD_ROOT}%{_sbindir}/%{name}
%{__ln_s} %{name} ${RPM_BUILD_ROOT}%{_sbindir}/d%{name}
%{__sed} -e "s|\@\@\@TCLOG\@\@\@|%{logdir}|g" %{SOURCE5} \
    > ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{name}
%{__sed} -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g" \
         -e "s|\@\@\@TCTEMP\@\@\@|%{tempdir}|g" \
         -e "s|\@\@\@LIBDIR\@\@\@|%{_libdir}|g" %{SOURCE6} \
    > ${RPM_BUILD_ROOT}%{_bindir}/%{name}-digest
%{__sed} -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g" \
         -e "s|\@\@\@TCTEMP\@\@\@|%{tempdir}|g" \
         -e "s|\@\@\@LIBDIR\@\@\@|%{_libdir}|g" %{SOURCE7} \
    > ${RPM_BUILD_ROOT}%{_bindir}/%{name}-tool-wrapper

pushd ${RPM_BUILD_ROOT}%{libdir}
    # fix up jars to include version number
    for i in *.jar; do
        j="$(echo $i | %{__sed} -e 's,\.jar$,,')"
        %{__ln_s} ${j}.jar ${j}-%{version}.jar 
    done

# COLLECTIONS
    %{__ln_s} $(build-classpath commons-dbcp-eap6/commons-dbcp-tomcat) commons-dbcp-eap6.jar
    %{__ln_s} $(build-classpath commons-pool-eap6/commons-pool-tomcat) commons-pool-eap6.jar
    %{__ln_s}  $(build-classpath commons-collections-eap6/commons-collections-tomcat) commons-collections-eap6.jar

# ECJ    
    %{__ln_s} $(build-classpath ecj-eap6/ecj) ecj-%{ecjrev}-eap6.jar

# copy log4j.jar over as it is in base
    # JFCLERE were to get it.. %{__ln_s} $(build-classpath commons-logging-eap6/commons-logging-api) commons-logging-api-eap6.jar
    # JFCLERE were to get it.. %{__ln_s} $(build-classpath commons-logging-eap6/commons-logging-adapters) commons-logging-adapters-eap6.jar
    %{__ln_s} $(build-classpath log4j-eap6/log4j) log4j-eap6.jar
    pushd extras
        for i in *.jar; do
            j="$(echo $i | %{__sed} -e 's,\.jar$,,')"
            %{__ln_s} ${j}.jar ${j}-%{version}.jar 
        done
    popd

popd
pushd ${RPM_BUILD_ROOT}%{_javadir}
    # symlink to maven components
    echo "Link maven components"
#tomcat-jsp-api
    %{__ln_s} %{name}/jsp-api-%{version}.jar \
        %{name}-jsp-%{jspspec}-api-%{version}.jar
# tomcat-servlet-api
    %{__ln_s} %{name}/servlet-api-%{version}.jar \
        %{name}-servlet-%{servletspec}-api-%{version}.jar
# tomcat-el-api
    %{__ln_s} %{name}/el-api-%{version}.jar \
        %{name}-el-%{elspec}-api-%{version}.jar

# extra links to satisfy what's defined for rpms
    %{__ln_s} %{name}-jsp-%{jspspec}-api-%{version}.jar %{name}-jsp-%{jspspec}-api.jar
    %{__ln_s} %{name}-servlet-%{servletspec}-api-%{version}.jar %{name}-servlet-%{servletspec}-api.jar
    %{__ln_s} %{name}-el-%{elspec}-api-%{version}.jar %{name}-el-%{elspec}-api.jar

%if 0%{?rhel} == 6
# tomcat-catalina
    %{__ln_s} %{name}/catalina-%{version}.jar \
        %{name}-catalina-%{version}.jar
# tomcat-coyote
    %{__ln_s} %{name}/tomcat-coyote-%{version}.jar \
        %{name}-tomcat-coyote-%{version}.jar
# tomcat-jasper-el
    %{__ln_s} %{name}/jasper-el-%{version}.jar \
        %{name}-jasper-el-%{version}.jar
# tomcat-jasper
    %{__ln_s} %{name}/jasper-%{version}.jar \
        %{name}-jasper-%{version}.jar
# tomcat-juli
    %{__ln_s} %{bindir}/tomcat-juli-%{version}.jar \
        %{name}-tomcat-juli-%{version}.jar
# tomcat-annotations-api
    %{__ln_s} %{name}/annotations-api-%{version}.jar \
        %{name}-annotations-api-%{version}.jar
# tomcat-cataina-ant
    %{__ln_s} %{name}/catalina-ant-%{version}.jar \
        %{name}-catalina-ant-%{version}.jar
# tomcat-jdbc
    %{__ln_s} %{name}/tomcat-jdbc-%{version}.jar \
        %{name}-tomcat-jdbc-%{version}.jar
# tomcat-api
    %{__ln_s} %{name}/tomcat-api-%{version}.jar \
        %{name}-tomcat-api-%{version}.jar
# tomcat-i18n-fr
    %{__ln_s} %{name}/tomcat-i18n-fr-%{version}.jar \
        %{name}-tomcat-i18n-fr-%{version}.jar
# tomcat-i18n-es
    %{__ln_s} %{name}/tomcat-i18n-es-%{version}.jar \
        %{name}-tomcat-i18n-es-%{version}.jar
# tomcat-i18n-ja
    %{__ln_s} %{name}/tomcat-i18n-ja-%{version}.jar \
        %{name}-tomcat-i18n-ja-%{version}.jar
# tomcat-util
    %{__ln_s} %{name}/tomcat-util-%{version}.jar \
        %{name}-tomcat-util-%{version}.jar
# websocket-api
    %{__ln_s} %{name}/websocket-api-%{version}.jar \
        %{name}-tomcat-websocket-api-%{version}.jar
# tomcat7-websocket
    %{__ln_s} %{name}/tomcat7-websocket-%{version}.jar \
        %{name}-tomcat7-websocket-%{version}.jar
%endif

# links set up by  update-alternatives
    /bin/touch el_%{elspecalt}_api.jar
    /bin/touch el-api.jar
    /bin/touch jsp-api.jar
    /bin/touch servlet-api.jar
popd

pushd ${RPM_BUILD_ROOT}%{bindir}
    # fix up jars to include version number
    for i in *.jar; do
        j="$(echo $i | %{__sed} -e 's,\.jar$,,')"
		  ls -l ${j}.jar
        %{__mv} ${j}.jar ${j}-%{version}.jar
        %{__ln_s} ${j}-%{version}.jar ${j}.jar
    done
popd
# symlink to the FHS locations where we've installed things
pushd ${RPM_BUILD_ROOT}%{homedir}
    %{__ln_s} %{appdir} webapps
    %{__ln_s} %{confdir} conf
    %{__ln_s} %{libdir} lib
    %{__ln_s} %{logdir} logs
    %{__ln_s} %{tempdir} temp
    %{__ln_s} %{workdir} work
popd

%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%if 0%{?rhel} == 6
# construct the maven dependency map
# coyote
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-coyote.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-coyote.pom
%add_to_maven_depmap org.apache.tomcat tomcat-coyote %{version} JPP/%{name} tomcat-coyote
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-coyote
# catalina
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-catalina.pom \
       %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-catalina.pom
%add_to_maven_depmap org.apache.tomcat tomcat-catalina %{version} JPP/%{name} tomcat-catalina
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-catalina
# el-api
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-el-api.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-el-api.pom
%add_to_maven_depmap org.apache.tomcat tomcat-el-api %{version} JPP/%{name} tomczt-el-api
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-el-api

# jasper-el
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-jasper-el.pom \
    %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-jasper-el.pom
%add_to_maven_depmap org.apache.tomcat tomcat-jasper-el %{version} JPP/%{name} tomcat-jasper-el
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-jasper-el

# jasper
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-jasper.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-jasper.pom
%add_to_maven_depmap org.apache.tomcat tomcat-jasper %{version} JPP/%{name} tomcat-jasper
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-jasper

# jsp-api
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-jsp-api.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-jsp-api.pom
%add_to_maven_depmap org.apache.tomcat tomcat-jsp-api %{version} JPP/%{name} tomcat-jsp-api
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-jsp-api

# servlet-api
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-servlet-api.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-servlet-api.pom
%add_to_maven_depmap org.apache.tomcat tomcat-servlet-api %{version} JPP/%{name} tomcat-servlet-api
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-servlet-api

# juli
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-juli.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-juli.pom
%add_to_maven_depmap org.apache.tomcat tomcat-juli %{version} JPP/%{name} tomcat-juli
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-juli

# annotations api
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-annotations-api.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-annotations-api.pom
%add_to_maven_depmap org.apache.tomcat tomcat-annotations-api %{version} JPP/%{name} tomcat-annotations-api
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-annotations-api

# catalina-ant
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-catalina-ant.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-catalina-ant.pom
%add_to_maven_depmap org.apache.tomcat tomcat-catalina-ant %{version} JPP/%{name} tomcat-catalina-ant
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-catalina-ant

# tomcat-i18n-fr
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-i18n-fr.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-fr.pom
%add_to_maven_depmap org.apache.tomcat tomcat-i18n-fr  %{version} JPP/%{name} tomcat-i18n-fr
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-i18n-fr

# tomcat-i18n-es
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-i18n-es.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-es.pom
%add_to_maven_depmap org.apache.tomcat tomcat-i18n-es  %{version} JPP/%{name} tomcat-i18n-es
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-i18n-es

# tomcat-i18n-es
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-i18n-ja.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-ja.pom
%add_to_maven_depmap org.apache.tomcat tomcat-i18n-ja  %{version} JPP/%{name} tomcat-i18n-ja
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-i18n-ja

# tomcat-jdbc
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-jdbc.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-jdbc.pom
%add_to_maven_depmap org.apache.tomcat tomcat-jdbc  %{version} JPP/%{name} tomcat-jdbc
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-jdbc

# tomcat-util
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-util.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-util.pom
%add_to_maven_depmap org.apache.tomcat tomcat-util %{version} JPP/%{name} tomcat-util
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-util

# tomcat-api
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-api.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-api.pom
%add_to_maven_depmap org.apache.tomcat tomcat-api %{version} JPP/%{name} tomcat-api
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-api

# tomcat-extras-juli-adapters
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-extras-juli-adapters.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-extras-juli-adapters.pom
%add_to_maven_depmap org.apache.tomcat tomcat-extras-juli-adpaters %{version}JPP/%{name} tomcat-extras-juli-adapters
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-extras-juli-adapters

# tomcat-extras-juli
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-extras-juli.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-extras-juli.pom
%add_to_maven_depmap org.apache.tomcat tomcat-extras-juli%{version}JPP/%{name} tomcat-extras-juli
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-extras-juli

# tomcat-websocket-api
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-websocket-api.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-websocket-api.pom
%add_to_maven_depmap org.apache.tomcat tomcat-websocket-api%{version}JPP/%{name} tomcat-websocket-api
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat-websocket-api

# tomcat-tomcat7-websocket.jar
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat7-websocket.pom \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat7-websocket.pom
%add_to_maven_depmap org.apache.tomcat tomcat7-websocket%{version}JPP/%{name} tomcat7-websocket
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} \
        %{buildroot}%{_mavendepmapfragdir}/%{name}-tomcat7-websocket

%else
echo "Maven Depmap Assuming RHEL-7"

echo "depmap tomcat-coyote ====="
%{__cp} apache-tomcat-%{version}-src/res/maven/tomcat-coyote.pom ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-tomcat-coyote.pom
%add_maven_depmap JPP.%{name}-tomcat-coyote.pom  %{name}/tomcat-coyote.jar

echo "depmap el-api ====="
%{__cp} apache-tomcat-%{version}-src/res/maven/tomcat-el-api.pom \
        ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-el-api.pom
%add_maven_depmap JPP.%{name}-el-api.pom %{name}/el-api.jar

echo "depmap catalina ====="
%{__cp} apache-tomcat-%{version}-src/res/maven/tomcat-catalina.pom \
       ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-catalina.pom
%add_maven_depmap JPP.%{name}-catalina.pom %{name}/catalina.jar

echo "depmap jasper-el ====="
%{__cp} apache-tomcat-%{version}-src/res/maven/tomcat-jasper-el.pom \
    ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-jasper-el.pom
%add_maven_depmap JPP.%{name}-jasper-el.pom %{name}/jasper-el.jar

echo "depmap jasper ====="
%{__cp} apache-tomcat-%{version}-src/res/maven/tomcat-jasper.pom \
        ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-jasper.pom
%add_maven_depmap JPP.%{name}-jasper.pom %{name}/jasper.jar

echo "depmap jsp-api ====="
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-jsp-api.pom \
        ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-jsp-api.pom
%add_maven_depmap JPP.%{name}-jsp-api.pom %{name}/jsp-api.jar

# servlet-api
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-servlet-api.pom \
        ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-servlet-api.pom
%add_maven_depmap  JPP.%{name}-servlet-api.pom %{name}/servlet-api.jar

# juli
# %{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-juli.pom \
#        %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcat-juli.pom
#%add_to_maven_depmap org.apache.tomcat tomcat-juli %{version} JPP/%{name} tomcat-juli

# annotations api
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-annotations-api.pom \
        ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-annotations-api.pom
%add_maven_depmap JPP.%{name}-annotations-api.pom %{name}/annotations-api.jar

# catalina-ant
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-catalina-ant.pom \
        ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-catalina-ant.pom
%add_maven_depmap JPP.%{name}-catalina-ant.pom %{name}/catalina-ant.jar

# tomcat-i18n-fr
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-i18n-fr.pom \
        ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-fr.pom
%add_maven_depmap JPP.%{name}-tomcat-i18n-fr.pom %{name}/tomcat-i18n-fr.jar

# tomcat-i18n-es
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-i18n-es.pom \
        ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-es.pom
%add_maven_depmap JPP.%{name}-tomcat-i18n-es.pom %{name}/tomcat-i18n-es.jar

# tomcat-i18n-es
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-i18n-ja.pom \
        ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-ja.pom
%add_maven_depmap JPP.%{name}-tomcat-i18n-ja.pom %{name}/tomcat-i18n-ja.jar

# tomcat-jdbc
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-jdbc.pom \
        ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-tomcat-jdbc.pom
%add_maven_depmap JPP.%{name}-tomcat-jdbc.pom %{name}/tomcat-jdbc.jar

# tomcat-util
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-util.pom \
        ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-tomcat-util.pom
%add_maven_depmap JPP.%{name}-tomcat-util.pom %{name}/tomcat-util.jar

# tomcat-api
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-api.pom \
        ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-tomcat-api.pom
%add_maven_depmap JPP.%{name}-tomcat-api.pom %{name}/tomcat-api.jar

# tomcat-websocket-api
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat-websocket-api.pom \
        ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-websocket-api.pom
%add_maven_depmap JPP.%{name}-websocket-api.pom %{name}/websocket-api.jar

# tomcat-tomcat7-websocket.jar
%{__cp} -p apache-tomcat-%{version}-src/res/maven/tomcat7-websocket.pom \
        ${RPM_BUILD_ROOT}%{_mavenpomdir}/JPP.%{name}-tomcat7-websocket.pom
%add_maven_depmap JPP.%{name}-tomcat7-websocket.pom %{name}/tomcat7-websocket.jar
%endif

%if %with zips
echo Zips
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_javadir}/jbossas-fordev
# Copy over source zip for the src-zip subpackage
%{__install} -p -m 0644 %{packdname}/output/release/v%{version}/src/apache-tomcat-%{version}-src.zip ${RPM_BUILD_ROOT}%{_javadir}/jbossas-fordev/tomcat7-%{version}-src.zip
# Copy over zip for the zip subpackage
%{__install} -p -m 0644 %{packdname}/output/release/v%{version}/bin/apache-tomcat-%{version}-examples.zip ${RPM_BUILD_ROOT}%{_javadir}/jbossas-fordev/tomcat7-%{version}-examples.zip
%{__install} -p -m 0644 %{packdname}/output/release/v%{version}/bin/apache-tomcat-%{version}.zip ${RPM_BUILD_ROOT}%{_javadir}/jbossas-fordev/tomcat7-%{version}.zip
#%{__install} -p -m 0644 %{packdname}/output/release/v%{version}/bin/apache-tomcat-%{version}-maven-devel.zip ${RPM_BUILD_ROOT}%{_javadir}/jbossas-fordev/tomcat7-%{version}-maven-devel.zip
echo End Zips
%endif

%if %with repolib
   echo RepoLib
	install -d -m 755 $RPM_BUILD_ROOT%{repodir}
	install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
	install -p -m 0644 %{SOURCE10} $RPM_BUILD_ROOT%{repodir}/component-info.xml
	sed -i 's/@VERSION@/%{version}-brew/g' $RPM_BUILD_ROOT%{repodir}/component-info.xml
    tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
    sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml

	install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE6} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE7} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE9} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE11} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE12} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE13} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE14} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{SOURCE13} $RPM_BUILD_ROOT%{repodirsrc}


	install -p -m 0644 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH1} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH2} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH3} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH4} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH5} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH6} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH7} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH8} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH9} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH10} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH11} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH12} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH13} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH14} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH15} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH16} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH17} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH18} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH19} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH20} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH21} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH22} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH23} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH24} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH25} $RPM_BUILD_ROOT%{repodirsrc}
	install -p -m 0644 %{PATCH26} $RPM_BUILD_ROOT%{repodirsrc}

%if 0%{?rhel} == 6
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/catalina.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-catalina.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat-coyote.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-coyote.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/el-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-el-api.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/jasper-el.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-jasper-el.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/jasper.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-jasper.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/jsp-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-jsp-api.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/servlet-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-servlet-api.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/bin/tomcat-juli.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-juli.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/annotations-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-annotations-api.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/catalina-ant.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-catalina-ant.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat-jdbc.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-jdbc.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-api.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat-i18n-fr.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-i18n-fr.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat-i18n-es.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-i18n-es.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat-i18n-ja.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-i18n-ja.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat-util.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-util.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/websocket-api.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-websocket-api.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/build/lib/tomcat7-websocket.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat7-websocket.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/extras/tomcat-juli-adapters.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-extras-juli-adapters.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
    %{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${PWD}/.m2/repository deploy:deploy-file -Dfile=apache-tomcat-%{version}-src/output/extras/tomcat-juli.jar -DpomFile=apache-tomcat-%{version}-src/res/maven/tomcat-extras-juli.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew
%endif

echo End RepoLib
%endif

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre
# add the tomcat user and group
%{_sbindir}/groupadd -g %{tcuid} -r tomcat 2>/dev/null || :
%{_sbindir}/useradd -c "Apache Tomcat" -u %{tcuid} -g tomcat \
    -s /sbin/nologin -r -d %{homedir} tomcat 2>/dev/null || :

%post
# install but don't activate
# For SELinux
/sbin/chkconfig --add %{name}
%update_maven_depmap

# JWS-156
# systemd doesn't exist in versions before rhel7
#%if 0%{?rhel} >= 7
## install but don't activate
#%systemd_post %{name}.service
#%endif

%post lib
%update_maven_depmap

%postun lib
%update_maven_depmap

%pre javadoc
%{__rm} -rf %{_javadocdir}/%{name}

# el-api
%post el-%{elspec}-api
    %{_sbindir}/update-alternatives --install %{_javadir}/el-api.jar el-api %{_javadir}/%{name}-el-%{elspec}-api.jar 20500
    %{_sbindir}/update-alternatives --install %{_javadir}/el_%{elspecalt}_api.jar el_%{elspecalt}_api %{_javadir}/%{name}-el-%{elspec}-api.jar 20500
%update_maven_depmap

%postun el-%{elspec}-api
%update_maven_depmap

%preun el-%{elspec}-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove el-api %{_javadir}/%{name}-el-%{elspec}-api.jar
    %{_sbindir}/update-alternatives --remove el_%{elspecalt}_api %{_javadir}/%{name}-el-%{elspec}-api.jar
fi

# jsp api
%post jsp-%{jspspec}-api
%{_sbindir}/update-alternatives --install %{_javadir}/jsp-api.jar jsp-api \
    %{_javadir}/%{name}-jsp-%{jspspec}-api.jar 20300
%update_maven_depmap

%postun jsp-%{jspspec}-api
%update_maven_depmap

%preun jsp-%{jspspec}-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jsp-api \
        %{_javadir}/%{name}-jsp-%{jspspec}-api.jar
fi

# servlet-api
%post servlet-%{servletspec}-api
%{_sbindir}/update-alternatives --install %{_javadir}/servlet-api.jar servlet-api \
    %{_javadir}/%{name}-servlet-%{servletspec}-api.jar 32000
%update_maven_depmap

%postun servlet-%{servletspec}-api
%update_maven_depmap

%preun servlet-%{servletspec}-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove servlet-api \
        %{_javadir}/%{name}-servlet-%{servletspec}-api.jar
fi

%preun
# clean tempdir and workdir on removal or upgrade
%{__rm} -rf %{workdir}/* %{tempdir}/*
if [ "$1" = "0" ]; then
    %{_initrddir}/%{name} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi

# JWS-156
# systemd doesn't exist in versions before rhel7
#%if 0%{?rhel} >= 7
## clean tempdir and workdir on removal or upgrade
#%{__rm} -rf %{workdir}/* %{tempdir}/*
#%systemd_preun %{name}.service
#%endif

%postun
# JWS-156
# systemd doesn't exist in versions before rhel7
#%if 0%{?rhel} >= 7
#%systemd_postun_with_restart %{name}.service
#%endif

%update_maven_depmap

# JWS-156
# systemd doesn't exist in versions before rhel7
#%if 0%{?rhel} >= 7
#%triggerun -- tomcat < 0:7.0.22-2
#/usr/bin/systemd-sysv-convert -- save tomcat > /dev/null 2>&1 || :
## Run these becasue the SysV package being removed won't do them
#/sbin/chkconfig --del tomcat > /dev/null 2>&1 || :
#/bin/systemctl try-restart tomcat.service > /dev/null 2>&1 || :
#%endif

%files
# JWS-156
# systemd doesn't exist in versions before rhel7
#%if 0%{?rhel} >= 7
#%attr(0644,root,root) %{_unitdir}/%{name}.service
#%attr(0644,root,root) %{_unitdir}/%{name}@.service
#%attr(0755,root,root) %dir %{_libexecdir}/%{name}
#%attr(0644,root,root) %{_libexecdir}/%{name}/functions
#%attr(0755,root,root) %{_libexecdir}/%{name}/preamble
#%attr(0755,root,root) %{_libexecdir}/%{name}/server
#%endif

%defattr(0664,root,root,0775)
%doc %{packdname}/{LICENSE,NOTICE,RELEASE-NOTES,*.txt}
%attr(0755,root,root) %{_bindir}/%{name}-digest
%attr(0755,root,root) %{_bindir}/%{name}-tool-wrapper
%attr(0755,root,root) %{_sbindir}/d%{name}
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0775,root,tomcat) %dir %{basedir}
%attr(0775,root,tomcat) %dir %{homedir}
%attr(0775,tomcat,root) %dir %{appdir}
%attr(0775,tomcat,root) %dir %{confdir}
%attr(0775,tomcat,root) %dir %{confdir}/Catalina
%attr(0775,tomcat,root) %dir %{confdir}/Catalina/localhost
# for SELinux
%attr(0664,tomcat,root) %dir %{confdir}/selinux
%attr(0664,tomcat,root) %dir %{confdir}/selinux/packages
%attr(0664,tomcat,root) %dir %{confdir}/selinux/packages/%{name}
# rhbz 979423
# %attr(0664,tomcat,root) %config(noreplace) %{confdir}/selinux/packages/%{name}/%{name}.pp
%attr(0664,tomcat,root) %config(noreplace) %{confdir}/selinux/packages/%{name}/%{name}.if
%attr(0664,tomcat,root) %config(noreplace) %{confdir}/selinux/packages/%{name}/%{name}.te
%attr(0664,tomcat,root) %config(noreplace) %{confdir}/selinux/packages/%{name}/%{name}.fc

%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/%{name}.conf
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/catalina.policy
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/catalina.properties
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/logging.properties
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/context.xml
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/server.xml
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/tomcat-users.xml
%attr(0664,tomcat,tomcat) %config(noreplace) %{confdir}/web.xml
%attr(0775,tomcat,root) %dir %{cachedir}
%attr(0775,tomcat,root) %dir %{tempdir}
%attr(0775,tomcat,root) %dir %{workdir}
%attr(0755,tomcat,root) %dir %{logdir}
%attr(0664,tomcat,tomcat) %{logdir}/catalina.out
%attr(0775,root,tomcat) %{homedir}/conf
%{bindir}/bootstrap-%{version}.jar
%{bindir}/bootstrap.jar
%{bindir}/catalina-tasks.xml
%{bindir}/commons-daemon.jar
%{bindir}/commons-daemon-%{version}.jar
%{bindir}/tomcat-juli-%{version}.jar
%{bindir}/tomcat-juli.jar

%if 0%{?rhel} == 6
%{_javadir}/%{name}-tomcat-juli-%{version}.jar
%{_mavendepmapfragdir}/%{name}-tomcat-juli
%{_mavenpomdir}/JPP.%{name}-tomcat-juli.pom
%endif

%{homedir}/lib
%{homedir}/logs
%{homedir}/temp
%{homedir}/webapps
%{homedir}/work

%files admin-webapps
%defattr(0644,root,root,0755)
%{appdir}/host-manager
%{appdir}/manager

%if %with ws
%files ws
%defattr(0644,root,root,0755)
%{libdir}/catalina-ws-%{version}.jar
%{libdir}/catalina-ws.jar
%{libdir}/jaxrpc-%{version}.jar
%{libdir}/jaxrpc.jar
%{libdir}/wsdl4j-%{version}.jar
%{libdir}/wsdl4j.jar
%endif

%files docs-webapp
%defattr(0644,root,root,0755)
%{appdir}/docs

%files maven-devel
%defattr(0644,root,root,0555)

%if 0%{?rhel} == 6
%{_mavenpomdir}/JPP.%{name}-tomcat-el-api.pom
%{_mavendepmapfragdir}/%{name}-tomcat-el-api
%{_mavenpomdir}/JPP.%{name}-tomcat-jsp-api.pom
%{_mavendepmapfragdir}/%{name}-tomcat-jsp-api
%{_mavenpomdir}/JPP.%{name}-tomcat-servlet-api.pom
%{_mavendepmapfragdir}/%{name}-tomcat-servlet-api
%{_mavendepmapfragdir}/%{name}-tomcat-coyote
%{_mavenpomdir}/JPP.%{name}-tomcat-coyote.pom
%{_mavendepmapfragdir}/%{name}-tomcat-catalina
%{_mavenpomdir}/JPP.%{name}-tomcat-catalina.pom
%{_mavendepmapfragdir}/%{name}-tomcat-jasper-el
%{_mavenpomdir}/JPP.%{name}-tomcat-jasper-el.pom
%{_mavendepmapfragdir}/%{name}-tomcat-jasper
%{_mavenpomdir}/JPP.%{name}-tomcat-jasper.pom
%{_mavendepmapfragdir}/%{name}-tomcat-annotations-api
%{_mavenpomdir}/JPP.%{name}-tomcat-annotations-api.pom
%{_mavendepmapfragdir}/%{name}-tomcat-catalina-ant
%{_mavenpomdir}/JPP.%{name}-tomcat-catalina-ant.pom
%{_mavendepmapfragdir}/%{name}-tomcat-i18n-fr
%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-fr.pom
%{_mavendepmapfragdir}/%{name}-tomcat-i18n-es
%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-es.pom
%{_mavendepmapfragdir}/%{name}-tomcat-i18n-ja
%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-ja.pom
%{_mavendepmapfragdir}/%{name}-tomcat-util
%{_mavenpomdir}/JPP.%{name}-tomcat-util.pom
%{_mavendepmapfragdir}/%{name}-tomcat-api
%{_mavenpomdir}/JPP.%{name}-tomcat-api.pom
%{_mavendepmapfragdir}/%{name}-tomcat-jdbc
%{_mavenpomdir}/JPP.%{name}-tomcat-jdbc.pom
%{_mavendepmapfragdir}/%{name}-tomcat-extras-juli
%{_mavenpomdir}/JPP.%{name}-tomcat-extras-juli.pom
%{_mavendepmapfragdir}/%{name}-tomcat-extras-juli-adapters
%{_mavenpomdir}/JPP.%{name}-tomcat-extras-juli-adapters.pom
%{_mavendepmapfragdir}/%{name}-tomcat-websocket-api
%{_mavenpomdir}/JPP.%{name}-tomcat-websocket-api.pom
%{_mavendepmapfragdir}/%{name}-tomcat7-websocket
%{_mavenpomdir}/JPP.%{name}-tomcat7-websocket.pom
%{libdir}/tomcat-annotations-api.jar
%{libdir}/tomcat-annotations-api-%{version}.jar
%{libdir}/tomcat-catalina.jar
%{libdir}/tomcat-catalina-%{version}.jar
%{libdir}/tomcat-catalina-ant.jar
%{libdir}/tomcat-catalina-ant-%{version}.jar
%{libdir}/tomcat-websocket-api.jar
%{libdir}/tomcat-websocket-api-%{version}.jar
%{libdir}/tomcat-tomcat7-websocket.jar
%{libdir}/tomcat-tomcat7-websocket-%{version}.jar
%{libdir}/tomcat-jasper.jar
%{libdir}/tomcat-jasper-%{version}.jar
%{libdir}/tomcat-jasper-el.jar
%{libdir}/tomcat-jasper-el-%{version}.jar
%{libdir}/tomcat-el-api.jar
%{libdir}/tomcat-el-api-%{version}.jar
%{libdir}/tomcat-jsp-api.jar
%{libdir}/tomcat-jsp-api-%{version}.jar
%{libdir}/tomcat-servlet-api.jar
%{libdir}/tomcat-servlet-api-%{version}.jar
%else
# Assume RHEL-7
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP.%{name}-jsp-api.pom
%{_mavenpomdir}/JPP.%{name}-el-api.pom
%{_mavenpomdir}/JPP.%{name}-servlet-api.pom
%{_mavenpomdir}/JPP.%{name}-tomcat-coyote.pom
%{_mavenpomdir}/JPP.%{name}-catalina.pom
%{_mavenpomdir}/JPP.%{name}-jasper-el.pom
%{_mavenpomdir}/JPP.%{name}-jasper.pom
%{_mavenpomdir}/JPP.%{name}-annotations-api.pom
%{_mavenpomdir}/JPP.%{name}-catalina-ant.pom
%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-fr.pom
%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-es.pom
%{_mavenpomdir}/JPP.%{name}-tomcat-i18n-ja.pom
%{_mavenpomdir}/JPP.%{name}-tomcat-util.pom
%{_mavenpomdir}/JPP.%{name}-tomcat-api.pom
%{_mavenpomdir}/JPP.%{name}-tomcat-jdbc.pom
#%{_mavenpomdir}/JPP.%{name}-tomcat-extras-juli.pom
#%{_mavenpomdir}/JPP.%{name}-tomcat-extras-juli-adapters.pom
%{_mavenpomdir}/JPP.%{name}-websocket-api.pom
%{_mavenpomdir}/JPP.%{name}-tomcat7-websocket.pom
%endif

%files el-%{elspec}-api
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-el-%{elspec}-api-%{version}.jar
#%if 0%{?rhel} == 6
%{_javadir}/%{name}-el-%{elspec}-api.jar
#%endif
%{libdir}/el-api.jar
%{libdir}/el-api-%{version}.jar
%ghost %{_javadir}*/el_%{elspecalt}_api.jar
%ghost %{_javadir}*/el-api.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files jsp-%{jspspec}-api
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-jsp-%{jspspec}-api-%{version}.jar
%{_javadir}/%{name}-jsp-%{jspspec}-api.jar
%{libdir}/jsp-api.jar
%{libdir}/jsp-api-%{version}.jar
%ghost %{_javadir}*/jsp-api.jar

%files log4j
%defattr(0644,root,root,0755)
%config(noreplace) %{confdir}/log4j.properties
%{libdir}/log4j.properties
%{libdir}/log4j-eap6.jar

%files lib
%defattr(0644,root,root,0755)
%dir %{libdir}
%{libdir}/annotations-api.jar
%{libdir}/annotations-api-%{version}.jar
%{libdir}/catalina.jar
%{libdir}/catalina-%{version}.jar
%{libdir}/catalina-ant.jar
%{libdir}/catalina-ant-%{version}.jar
%{libdir}/tomcat-jdbc.jar
%{libdir}/tomcat-jdbc-%{version}.jar
%{libdir}/tomcat-util.jar
%{libdir}/tomcat-util-%{version}.jar
%{libdir}/tomcat-api.jar
%{libdir}/tomcat-api-%{version}.jar
# not in maven components
%{libdir}/ecj-%{ecjrev}-eap6.jar
%{libdir}/jasper.jar
%{libdir}/jasper-%{version}.jar
%{libdir}/jasper-el.jar
%{libdir}/jasper-el-%{version}.jar
%{libdir}/tomcat-coyote.jar
%{libdir}/tomcat-coyote-%{version}.jar
%{libdir}/tomcat-i18n-es.jar
%{libdir}/tomcat-i18n-es-%{version}.jar
%{libdir}/tomcat-i18n-fr.jar
%{libdir}/tomcat-i18n-fr-%{version}.jar
%{libdir}/tomcat-i18n-ja.jar
%{libdir}/tomcat-i18n-ja-%{version}.jar
%{libdir}/websocket-api.jar
%{libdir}/websocket-api-%{version}.jar
%{libdir}/tomcat7-websocket.jar
%{libdir}/tomcat7-websocket-%{version}.jar
%{libdir}/commons-collections-eap6.jar
%{libdir}/commons-dbcp-eap6.jar
%{libdir}/commons-pool-eap6.jar
%{libdir}/extras/tomcat-juli-adapters.jar
%{libdir}/extras/tomcat-juli-adapters-%{version}.jar
%{libdir}/extras/tomcat-juli.jar
%{libdir}/extras/tomcat-juli-%{version}.jar
%if 0%{?rhel} == 6
%{_javadir}/%{name}-annotations-api-%{version}.jar
%{_javadir}/%{name}-catalina-%{version}.jar
%{_javadir}/%{name}-catalina-ant-%{version}.jar
%{_javadir}/%{name}-tomcat-jdbc-%{version}.jar
%{_javadir}/%{name}-tomcat-util-%{version}.jar
%{_javadir}/%{name}-tomcat-api-%{version}.jar
%{_javadir}/%{name}-jasper-%{version}.jar
%{_javadir}/%{name}-jasper-el-%{version}.jar
%{_javadir}/%{name}-tomcat7-websocket-%{version}.jar
%{_javadir}/%{name}-tomcat-websocket-api-%{version}.jar
%{_javadir}/%{name}-tomcat-i18n-ja-%{version}.jar
%{_javadir}/%{name}-tomcat-i18n-fr-%{version}.jar
%{_javadir}/%{name}-tomcat-i18n-es-%{version}.jar
%{_javadir}/%{name}-tomcat-coyote-%{version}.jar
%endif

%files servlet-%{servletspec}-api
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-servlet-%{servletspec}-api-%{version}.jar
#%if 0%{?rhel} == 6
%{_javadir}/%{name}-servlet-%{servletspec}-api.jar
#%endif
%{libdir}/servlet-api.jar
%{libdir}/servlet-api-%{version}.jar
%ghost %{_javadir}/servlet-api.jar

%files webapps
%defattr(0664,tomcat,root,0775)
%attr(0775,tomcat,root) %{appdir}/ROOT
%attr(0775,tomcat,root) %{appdir}/examples
#%attr(0775,tomcat,root) %{appdir}/sample

%if %with zips
%files zip
%defattr(0644,root,root,0755)
%dir %{_javadir}*/jbossas-fordev
%{_javadir}*/jbossas-fordev/tomcat7-%{version}.zip
%{_javadir}*/jbossas-fordev/tomcat7-%{version}-examples.zip
#%{_javadir}*/jbossas-fordev/tomcat7-%{version}-maven-devel.zip

%files src-zip
%defattr(0644,root,root,0755)
%dir %{_javadir}*/jbossas-fordev
%{_javadir}*/jbossas-fordev/tomcat7-%{version}-src.zip
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Wed Nov 18 2015 Coty Sutherland <csutherl@redhat.com> 0:7.0.59-42_patch_01
- Adding dependency on specific commons-collections build for rhbz-1283059

* Wed Nov 18 2015 Coty Sutherland <csutherl@redhat.com> 0:7.0.59-42_patch_01
- Resolves: JWS-271

* Tue Nov 10 2015 Coty Sutherland <csutherl@redhat.com> 0:7.0.59-41_patch_01
- Resolves: JWS-190. Config only (tomcat7-7.0.init) update.

* Fri Nov 6 2015 Coty Sutherland <csutherl@redhat.com> 0:7.0.59-41_patch_01
- Resolves: JWS-263

* Tue Nov 3 2015 Coty Sutherland <csutherl@redhat.com> 0:7.0.59-41_patch_01
- Resolves: JWS-261. Config only update.

* Mon Oct 26 2015 Coty Sutherland <csutherl@redhat.com> 0:7.0.59-40_patch_01
- Rebuilding for release.

* Thu Oct 8 2015 David Knox <dknox@redhat.com> 0:7.0.59-36_patch_01
- Resolves: JWS-240

* Thu Oct 1 2015 David Knox <dknox@redhat.com> 0:7.0.59-35_patch_00
- Related: JWS-192 proposed fix failed testing. changing tomcat user
- will change permissions on log files after first creating catalina.out

* Thu Oct 1 2015 David Knox <dknox@redhat.com> 0:7.0.59-34_patch_00
- Resolves: JWS-154

* Thu Oct 1 2015 David Knox <dknox@redhat.com> 0:7.0.59-33_patch_00
- Related: JWS-189

* Wed Sep 30 2015 David Knox <dknox@redhat.com> 0:7.0.59-32_patch_00
- Resolves: JWS-128 JWS-85 JWS-192 JWS-128
- change text in tomcat7-7.0.59-JWS-128.patch removed references to
- tomcat6

* Mon Sep 28 2015 David Knox <dknox@redhat.com> 0:7.0.59-31_patch_00
- Resolves: JWS-196 Fixed tomcat7-7.0-tool-wrapper.script. The compliant
- was about references to tomcat6 in tomcat7.conf. those do not exist
- as of the last build. Covered by and fixed in JWS-83 but
- the Fixed Version was incorrect so a New jira was opened.

* Thu Sep 24 2015 David Knox <dknox@redhat.com> 0:7.0.59-31_patch_00
- Resolves: JWS-232 obsolete digest script

* Mon Sep 21 2015 David Knox <dknox@redhat.com> 0:7.0.59-30_patch_00
- Related: JWS-173 regenerated to include files from test

* Thu Sep 17 2015 David Knox <dknox@redhat.com> 0:7.0.59-29_patch_00
- Fixed a comment problem in tomcat7.init

* Wed Sep 16 2015 David Knox <dknox@redhat.com> 0:7.0.59-28_patch_00
- Resolves: JWS-176 JWS-177 JWS-150 JWS-149 JWS-180

* Thu Aug 13 2015 David Knox <dknox@redhat.com> 0:70.59-27_patch_00
- Resolves: JWS-89 JWS-84 rework

* Thu Jul 30 2015 David Knox <dknox@redhat.com> 0:7.0.59-26_patch_00
- Resolves: JWS-178

* Wed Jul 29 2015 David Knox <dknox@redhat.com> 0:7.0.59-25_patch_00
- Resolves: JWS-175. Related: JWS-145 reapplied.

* Tue Jul 28 2015 David Knox <dknox@redhat.com> 0:7.0.59-24_patch_00
- Withdrawing JWS-145 as it has not tested successfully. The patch
- still exists here but is not applied
- In tomcat7.conf replace tomcat6 with tomcat7

* Tue Jul 14 2015 David Knox <dknox@redhat.com> 0:7.0.59-23_patch_00
- Resolves: JWS-179 JWS-89 JWS-173

* Mon Jul 13 2015 David Knox <dknox@redhat.com> 0:7.0.59-22_patch_00
- Resolves: JWS-145 JWS-174

* Wed Jul 8 2015 David Knox <dknox@redhat.com> 0:7.0.59-21_patch_00
- Related: JWS-147 regenerated the patch

* Tue Jun 30 2015 David Knox <dknox@redhat.com> 0:7.0.59-20_patch_00
- rhel-6 was still broken. releng ticket 359371. 
- bumping the release number

* Tue Jun 30 2015 David Knox <dknox@redhat.com> 0:7.0.59-19_patch_00
- incrementing release number. the last build used the wrong
- commit

* Sat Jun 27 2015 David Knox <dknox@redhat.com> 0:7.0.59-18_patch_00
- Resolves: JWS-146
- Resolves: JWS-147

* Wed Jun 3 2015 David Knox <dknox@redhat.com> 0:7.0.59-17_patch_00
- Resolves: JWS-84

* Tue Apr 28 2015 David Knox <dknox@redhat.com> 0:7.0.59-16_patch_00
- Resolves: JWS-96 build-classpath error. fixed in wrapper.
- removed build-classpath as it isn't necessary any more.
- the problem still exists in java-functions

* Tue Apr 14 2015 David Knox <dknox@redhat.com> 0:7.0.59-15_patch_00
- Resolves: JWS-69 rework. append -api to alternatives names. 

* Wed Apr 8 2015 David Knox <dknox@redhat.com> 0:7.0.59-14_patch_00
- Resolves: JWS-69 TPS Delete test FAILED

* Tue Apr 7 2015 David Knox <dknox@redhat.com> 0:7.0.59-13_patch_00
- Resolves: JWS-70 the name log4j-eap6 is correct. The previous 
- jw-70 resolution is reversed.

* Tue Apr 7 2015 Maxime Beck <maxbeck@redhat.com> 0:7.0.59-12_patch_00
- JWS-70

* Wed Apr 1 2015 David Knox <dknox@redhat.com> 0:7.0.59-11_patch_00
- Resolves: JWS-49 Tomcat 7 maven repo issues.
- Remove maven-devel zip from zip rpm.

* Fri Mar 20 2015 David Knox <dknox@redhat.com> 0:7.0.59-10_patch_00
- Remove R and BR for commons-logging. it's no longer needed. 

* Wed Mar 18 2015 David Knox <dknox@redhat.com> 0:7.0.59-9_patch_00
- Redo maven macros for rhel-7
- Replace cp with ln_s for rpms

* Mon Mar 16 2015 David Knox <dknox@redhat.com> 0:7.0.59-8_patch_00
- Resolves: JWS-58 remove commons-logging 1.1.3 frm extras
- Fix sources, exlude older src packages

* Sat Mar 14 2015 Jean-Frederic Clere <jclere@redhat.com> 0:7.0.59-6_patch_00
  - Rollback d332879d729a3c21d073bb526b0986b898f3f989

* Fri Mar 13 2015 David Knox <dknox@@redhat.com> 0:7.0.59-6_patch_00
- Related: JWS-56 missing commons-logging-{adapters,api}
- Change apache-commons-logging-tomcat-eap6 to apache-commons-logging-eap6
- the former works on rhel-7 but not rhel-6. the latter works on both
- rhel-6 and rhel-7

* Wed Mar 11 2015 Jean-Frederic Clere <jclere@redhat.com> 0:7.0.59-4_patch_00
- Resolves: JWS-56 missing jars: commons-logging-adapters.jar and commons-logging-api.jar

* Tue Mar 10 2015 David Knox <dknox@redhat.com> 0:7.0.59-3_patch_00
- Resolves: JWS-40 wrong package names for commons-logging,
- collections, dbcp, pool.

* Thu Mar 5 2015 David Knox <dknox@redhat.com> 0:7.0.59-2_patch_00
- rhel-6 and rhel-7 builds unified. update several dependencies.
- updated ecj to 4.4.2 for java8 support

* Mon Feb 9 2015 David Knox <dknox@redhat.com> 0:7.0.59-1_patch_00
- Update to 5.0.59. correct maven-devel zip. eap6-eap6 added. 

* Wed Feb 4 2015 David Knox <dknox@redhat.com> 0:7.0.57-4_patch_00
- Remove tomcat from the names of commons dbcp,pool,and collections
- Add the maven-devel zip to the zips rpm.

* Tue Jan 13 2015 Maxime Beck <maxbeck@redhat.com> 0:7.0.57-3_patch_00
- Ajust spec file to build on RHEL7

* Thu Dec 18 2014 Jean-Frederic Clere <jclere@redhat.com> 0:7.0.57-2_patch_00
- Resolves: rhbz 1175567 tomcat7 EL7 shouldn't provide tomcat7-servlet-3.1-api

* Mon Nov 17 2014 David Knox <dknox@redhat.com> 0:7.0.57-1_patch_00
- Resolves: rebase to 7.0.57

* Wed Oct 1 2014 David Knox <dknox@#redhat.com> 0:7.0.55-1_patch_00
- Resolves: rebase to 7.0.55. New work branches for jws3. 

